Loading...
Searching...
No Matches
irr::scene::SVertexColorGammaManipulator Class Reference

Vertex manipulator which adjusts the brightness by a gamma operation. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorGammaManipulator:

## Public Member Functions

| SVertexColorGammaManipulator (f32 gamma)
void | operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which adjusts the brightness by a gamma operation.

A value over one increases brightness, one below darkens the colors.

Definition at line 126 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

## SVertexColorGammaManipulator()

irr::scene::SVertexColorGammaManipulator::SVertexColorGammaManipulator | ( | f32 | gamma | ) |

inline

Definition at line 129 of file SVertexManipulator.h.

## Member Function Documentation

## operator()()

void irr::scene::SVertexColorGammaManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const

inline

Definition at line 134 of file SVertexManipulator.h.

References irr::core::clamp(), irr::video::S3DVertex::Color, irr::video::SColor::getBlue(), irr::video::SColor::getGreen(), irr::video::SColor::getRed(), irr::core::round32(), irr::video::SColor::setBlue(), irr::video::SColor::setGreen(), and irr::video::SColor::setRed().

The documentation for this class was generated from the following file:

- SVertexManipulator.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0